package com.muyu.clw.common.many.remote.factory;

import com.muyu.clw.common.many.remote.RemoteEnterpriseService;
import com.muyu.common.core.domain.Result;
import com.muyu.domain.Enterprise;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @ClassName RemoteEnterpriseFallbackFactory
 * @Author AnNan.Wang
 * @Date 2024/6/7 21:55
 */

@Component
public class RemoteEnterpriseFallbackFactory implements FallbackFactory<RemoteEnterpriseService> {
    private static final Logger log = LoggerFactory.getLogger(RemoteEnterpriseFallbackFactory.class);

    @Override
    public RemoteEnterpriseService create(Throwable cause) {
        log.error("日志服务调用失败:{}", cause.getMessage());
        return new  RemoteEnterpriseService() {
            @Override
            public Result<List<Enterprise>> enterpriseAllList() {
                return Result.error("企业获取失败:{}"+cause.getMessage());
            }
        };
    }
}
