package com.muyu.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;

/**
 * 增值对象 add_service
 *
 * @author wan
 * @date 2024-05-31
 */
public class AddService extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 增值属性 */
    @Excel(name = "增值属性")
    private String addValue;

    /** 金额 */
    @Excel(name = "金额")
    private BigDecimal addDecimal;

    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "修改时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updaetTime;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setAddValue(String addValue)
    {
        this.addValue = addValue;
    }

    public String getAddValue()
    {
        return addValue;
    }
    public void setAddDecimal(BigDecimal addDecimal)
    {
        this.addDecimal = addDecimal;
    }

    public BigDecimal getAddDecimal()
    {
        return addDecimal;
    }
    public void setUpdaetTime(Date updaetTime)
    {
        this.updaetTime = updaetTime;
    }

    public Date getUpdaetTime()
    {
        return updaetTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("addValue", getAddValue())
            .append("addDecimal", getAddDecimal())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updaetTime", getUpdaetTime())
            .append("remark", getRemark())
            .toString();
    }
}
