package com.muyu.authentication.mapper;

import com.muyu.domain.OpenService;

import java.util.List;

/**
 * 开通类型Mapper接口
 *
 * @author wan
 * @date 2024-05-31
 */
public interface OpenServiceMapper
{
    /**
     * 查询开通类型
     *
     * @param id 开通类型主键
     * @return 开通类型
     */
    public OpenService selectOpenServiceById(Long id);

    /**
     * 查询开通类型列表
     *
     * @param openService 开通类型
     * @return 开通类型集合
     */
    public List<OpenService> selectOpenServiceList(OpenService openService);

    /**
     * 新增开通类型
     *
     * @param openService 开通类型
     * @return 结果
     */
    public int insertOpenService(OpenService openService);

    /**
     * 修改开通类型
     *
     * @param openService 开通类型
     * @return 结果
     */
    public int updateOpenService(OpenService openService);

    /**
     * 删除开通类型
     *
     * @param id 开通类型主键
     * @return 结果
     */
    public int deleteOpenServiceById(Long id);

    /**
     * 批量删除开通类型
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteOpenServiceByIds(Long[] ids);
}
