package com.muyu.authentication.service;

import com.muyu.domain.PayFor;

import java.util.List;

/**
 * 支付Service接口
 *
 * @author wan
 * @date 2024-05-31
 */
public interface IPayForService
{
    /**
     * 查询支付
     *
     * @param id 支付主键
     * @return 支付
     */
    public PayFor selectPayForById(Long id);

    /**
     * 查询支付列表
     *
     * @param payFor 支付
     * @return 支付集合
     */
    public List<PayFor> selectPayForList(PayFor payFor);

    /**
     * 新增支付
     *
     * @param payFor 支付
     * @return 结果
     */
    public int insertPayFor(PayFor payFor);

    /**
     * 修改支付
     *
     * @param payFor 支付
     * @return 结果
     */
    public int updatePayFor(PayFor payFor);

    /**
     * 批量删除支付
     *
     * @param ids 需要删除的支付主键集合
     * @return 结果
     */
    public int deletePayForByIds(Long[] ids);

    /**
     * 删除支付信息
     *
     * @param id 支付主键
     * @return 结果
     */
    public int deletePayForById(Long id);
}
