import com.fasterxml.jackson.databind.ObjectMapper;
import com.fasterxml.jackson.databind.node.ObjectNode;

import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;

/**
 * @ClassName Text
 * @Author AnNan.Wang
 * @Date 2024/6/7 18:45
 */



public class Text {
    public static void getHttp() throws Exception {
        // 创建HttpClient实例
        HttpClient httpClient = HttpClient.newHttpClient();

        // 创建参数JSON对象
        ObjectMapper objectMapper = new ObjectMapper();
        ObjectNode requestBody = objectMapper.createObjectNode();
        requestBody.put("entId", "ent_9999_240529");
        requestBody.put("mysqlPort", "3200");
        String jsonBody = objectMapper.writeValueAsString(requestBody);

        // 创建httpRequest
        HttpRequest request = HttpRequest.newBuilder()
                .uri(URI.create("http://101.34.243.166/webhook/创建企业数据库"))
                .header("Content-Type", "application/json")
                .POST(HttpRequest.BodyPublishers.ofString(jsonBody))
                .build();

        // 发送请求并获取响应
        HttpResponse<String> response = httpClient.send(request, HttpResponse.BodyHandlers.ofString());

        // 处理响应
        int statusCode = response.statusCode();
        String responseBody = response.body();
        System.out.println("状态码: " + statusCode);
        System.out.println("响应: " + responseBody);
    }

    public static void main(String[] args) throws Exception {
        getHttp();
    }
}
