package com.muyu.remote;

import com.muyu.remote.factory.RemoteManyEnterpriseFallbackFactory;
import com.muyu.common.core.constant.ServiceNameConstants;
import com.muyu.common.core.domain.Result;
import com.muyu.domain.Enterprise;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestHeader;

/**
 * 远程调用 多数据数据
 *
 * @author AnNan.Wang
 * @ClassName: RemoteManyEnterpriseService
 * @createTime: 2024/6/10 14:33
 */
@FeignClient(
        contextId = "remoteManyEnterpriseService",
        value = ServiceNameConstants.MANY_ENTERPRISE,
        fallbackFactory = RemoteManyEnterpriseFallbackFactory.class
)
public interface RemoteManyEnterpriseService {

    @PostMapping("/manyEnterprise/manyEnterpriseAdd")
    public Result<String> manyEnterpriseAdd(@RequestBody Enterprise enterprise,@RequestHeader("ent_code")String key);
}
