package com.muyu.remote.factory;


import com.muyu.domain.Enterprise;
import com.muyu.remote.RemoteManyEnterpriseService;
import com.muyu.common.core.domain.Result;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestHeader;

/**
 * 用户服务降级处理
 *
 * @author muyu
 */

@Component
public class RemoteManyEnterpriseFallbackFactory implements FallbackFactory<RemoteManyEnterpriseService> {
    private static final Logger log = LoggerFactory.getLogger(RemoteManyEnterpriseFallbackFactory.class);

    @Override
    public RemoteManyEnterpriseService create (Throwable throwable) {
        log.error("多数据源调用失败:{}", throwable.getMessage());
        return new RemoteManyEnterpriseService() {

            @Override
            public Result<String> manyEnterpriseAdd(Enterprise enterprise,String key) {
                return Result.error("Enterprise多数据源调用失败:{}",throwable.getMessage());
            }
        };
    }
}
