package com.muyu.authentication.service;



import com.muyu.many.domain.Fence;

import java.util.List;

/**
 * 电子围栏Service接口
 *
 * @author wan
 * @date 2024-05-31
 */
public interface IFenceService
{
    /**
     * 查询电子围栏
     *
     * @param id 电子围栏主键
     * @return 电子围栏
     */
    public Fence selectFenceById(Long id);

    /**
     * 查询电子围栏列表
     *
     * @param fence 电子围栏
     * @return 电子围栏集合
     */
    public List<Fence> selectFenceList(Fence fence);

    /**
     * 新增电子围栏
     *
     * @param fence 电子围栏
     * @return 结果
     */
    public int insertFence(Fence fence);

    /**
     * 修改电子围栏
     *
     * @param fence 电子围栏
     * @return 结果
     */
    public int updateFence(Fence fence);

    /**
     * 批量删除电子围栏
     *
     * @param ids 需要删除的电子围栏主键集合
     * @return 结果
     */
    public int deleteFenceByIds(Long[] ids);

    /**
     * 删除电子围栏信息
     *
     * @param id 电子围栏主键
     * @return 结果
     */
    public int deleteFenceById(Long id);
}
