package com.muyu.authentication.service;




import com.muyu.many.domain.Vehicle;

import java.util.List;

/**
 * 车辆Service接口
 *
 * @author wan
 * @date 2024-05-31
 */
public interface IVehicleService
{
    /**
     * 查询车辆
     *
     * @param id 车辆主键
     * @return 车辆
     */
    public Vehicle selectVehicleById(Long id, String entCode);

    /**
     * 查询车辆列表
     *
     * @param vehicle 车辆
     * @param entCode
     * @return 车辆集合
     */
    public List<Vehicle> selectVehicleList(Vehicle vehicle, String entCode);

    /**
     * 新增车辆
     *
     * @param vehicle 车辆
     * @return 结果
     */
    public int insertVehicle(Vehicle vehicle, String entCode);

    /**
     * 修改车辆
     *
     * @param vehicle 车辆
     * @return 结果
     */
    public int updateVehicle(Vehicle vehicle, String entCode);

    /**
     * 批量删除车辆
     *
     * @param ids 需要删除的车辆主键集合
     * @return 结果
     */
    public int deleteVehicleByIds(Long[] ids, String entCode);

    /**
     * 删除车辆信息
     *
     * @param id 车辆主键
     * @return 结果
     */
    public int deleteVehicleById(Long id, String entCode);
}
