package com.muyu.authentication.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.authentication.mapper.ManyEnterpriseMapper;
import com.muyu.authentication.service.ManyEnterpriseService;
import com.muyu.clw.common.many.datasource.holder.DynamicDataSourceHolder;
import com.muyu.many.domain.Enterprise ;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 实现层
 *
 * @ClassName ManyEnterpriseServiceImpl
 * @Author AnNan.Wang
 * @Date 2024/6/6 15:28
 */
@Log4j2
@Service
public class ManyEnterpriseServiceImpl extends ServiceImpl<ManyEnterpriseMapper, Enterprise>
        implements ManyEnterpriseService {

    @Autowired
    private ManyEnterpriseMapper manyEnterpriseMapper;

    @Override
    public List<Enterprise> AllList(String headerValue) {
        //切换数据库 切换到从数据库
        DynamicDataSourceHolder.setDynamicDataSourceKey(headerValue);
        List<Enterprise> enterprises = manyEnterpriseMapper.selectList(null);
        DynamicDataSourceHolder.removeDynamicDataSourceKey();
        return enterprises;
    }



    public String manyEnterpriseAdd(Enterprise enterprise,String key) {
        log.info("enterprise等于:{}",enterprise);
        DynamicDataSourceHolder.setDynamicDataSourceKey(key);
        int insert = manyEnterpriseMapper.enterpriseInsert(enterprise);
        log.info("insert等于:{}",insert);
        DynamicDataSourceHolder.removeDynamicDataSourceKey();
        if (insert > 0) {
            return "初始成功";
        }else {
            return "初始失败";
        }
    }

}
